
package de.ivu.elect.sitzberechnung.entity;

import de.ivu.elect.sitzberechnung.Gebiet;
import de.ivu.elect.sitzberechnung.Gruppe;
import de.ivu.elect.sitzberechnung.Sitze;

public class DefaultSitze implements Sitze {

  private final Gebiet gebiet;

  private final Gruppe gruppe;

  private final long anzahlSitze;

  private final long anzahlSitzeAnspruch;

  public DefaultSitze(Gebiet gebiet, Gruppe gruppe, long anzahlSitze, long anzahlSitzeAnspruch) {
    super();

    this.gebiet = gebiet;
    this.gruppe = gruppe;

    this.anzahlSitze = anzahlSitze;
    this.anzahlSitzeAnspruch = anzahlSitzeAnspruch;
  }

  @Override
  public Gebiet getGebiet() {
    return gebiet;
  }

  @Override
  public Gruppe getGruppe() {
    return gruppe;
  }

  @Override
  public long getAnzahlSitze() {
    return anzahlSitze;
  }

  @Override
  public long getAnzahlSitzeAnspruch() {
    return anzahlSitzeAnspruch;
  }
}
